MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_EccKeyGenOption_t Union Reference
mcuxClCss » mcuxClCss_Ecc » mcuxClCss_Ecc_Types

Command option bit field for mcuxClCss_EccKeyGen_Async Bit field to configure mcuxClCss_EccKeyGenOption_t. More...

`#include <mcuxClCss_Ecc.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word; initialize with a combination of constants from MCUXCLCSS_KEYGEN option word values. More...
} | word
| Access mcuxClCss_EccKeyGenOption_t word-wise. More...
struct {
uint32_t kgsign:1
| Define if signing the output public key. More...
uint32_t kgtypedh:1
| Define the usage of the output key. More...
uint32_t kgsrc:1
| Define if the output key is deterministic or random. More...
uint32_t skip_pbk:1
| Define if generating a public key. More...
uint32_t revf:1
| This field is managed internally. More...
uint32_t kgsign_rnd:1
| Define if using user provided random data for the signature. More...
uint32_t __pad0__:26
| RFU. More...
} | bits
| Access mcuxClCss_EccKeyGenOption_t bit-wise. More...

## Detailed Description

Command option bit field for mcuxClCss_EccKeyGen_Async Bit field to configure mcuxClCss_EccKeyGenOption_t.

See MCUXCLCSS_KEYGEN option bit field values for possible options.

Examples
  ecc_keygen_sign_verify.c, and tls_master_key_session_keys.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_EccKeyGenOption_t::value

Accesses the bit field as a full word; initialize with a combination of constants from MCUXCLCSS_KEYGEN option word values.

## ◆ word

struct { ... } mcuxClCss_EccKeyGenOption_t::word

Access mcuxClCss_EccKeyGenOption_t word-wise.

## ◆ kgsign

uint32_t mcuxClCss_EccKeyGenOption_t::kgsign

Define if signing the output public key.

## ◆ kgtypedh

uint32_t mcuxClCss_EccKeyGenOption_t::kgtypedh

Define the usage of the output key.

Examples
  tls_master_key_session_keys.c.

## ◆ kgsrc

uint32_t mcuxClCss_EccKeyGenOption_t::kgsrc

Define if the output key is deterministic or random.

Examples
  ecc_keygen_sign_verify.c, and tls_master_key_session_keys.c.

## ◆ skip_pbk

uint32_t mcuxClCss_EccKeyGenOption_t::skip_pbk

Define if generating a public key.

## ◆ revf

uint32_t mcuxClCss_EccKeyGenOption_t::revf

This field is managed internally.

## ◆ kgsign_rnd

uint32_t mcuxClCss_EccKeyGenOption_t::kgsign_rnd

Define if using user provided random data for the signature.

## ◆ __pad0__

uint32_t mcuxClCss_EccKeyGenOption_t::__pad0__

RFU.

## ◆ bits

struct { ... } mcuxClCss_EccKeyGenOption_t::bits

Access mcuxClCss_EccKeyGenOption_t bit-wise.

Examples
  ecc_keygen_sign_verify.c, and tls_master_key_session_keys.c.